#ifndef WEENSYOS_SCHEDOS_H
#define WEENSYOS_SCHEDOS_H
#include "types.h"

// System call numbers.
// An application calls a system call by causing the specified interrupt.

#define TRAP_SYS_YIELD		48
#define TRAP_SYS_EXIT		49
#define TRAP_SYS_USER1		50
#define TRAP_SYS_USER2		51


// The current screen cursor position (stored at memory location 0x190000).

extern uint16_t *cursorpos;

#endif
